<div class="ui left pointing dropdown blue icon button">
  <i class="ellipsis horizontal icon"></i>
  <div class="menu">

    <% if current_user.role.name != 'Coordinador' %>
      <a class="item"
         href="<%= update_info_admin_user_user_path(id: user.id) %>"
         data-method="post" data-confirm="¿Está seguro de solicitar la actualización?"><i class="redo alternate icon"></i>Actualización de información</a>

      <a class="item" href="<%= assign_shelf_admin_user_user_path(id: user.id) %>" data-remote="true"><i class="archive icon"></i>Asignar estante</a>
    <% end %>

    <% if user.role.name == 'Coordinador' %>
      <a class="item" href="<%= assign_group_admin_user_user_path(id: user.id) %>" data-remote="true"><i class="users icon"></i>Asignar grupo</a>
    <% end %>

    <% if user.role.name == 'Estudiante' %>
      <a class="item"
         href="<%= send_score_to_binary_admin_user_user_path(id: user.id) %>"
         data-remote="true"><i class="tasks icon"></i>Envio manual de calificaciones</a>
    <% end %>

    <% if user.custom_token.present? && can_sign_in? %>
      <a class="private-login item" href="<%= private_login_common_sessions_path(custom_token: user.custom_token) %>" target="_blank"><i class="user icon"></i>Iniciar sesión</a>
    <% end %>

    <a class="item"
       href="<%= reset_password_admin_user_user_path(id: user.id) %>"
       data-method="post" data-confirm="¿Está seguro de reiniciar la contraseña?"><i class="lock icon"></i>Reiniciar contraseña</a>

    <% if current_user.role.name == 'Invitado' || current_user.role.name == 'Administrador' %>
      <a class="item" href="<%= student_progress_admin_user_user_reports_path(user_id: user.id) %>"><i class="chart line icon"></i>Ver progreso</a>
    <% end %>
  </div>
</div>

<a class="ui blue icon button" href="<%= edit_admin_user_user_path(id: user.id) %>" data-remote="true">
  <i class="edit icon"></i>
</a>

<% if user_all_actions %>
  <a class="ui red icon button" href="<%= admin_user_user_path(id: user.id) %>" data-method="delete" data-confirm="¿Está seguro de eliminar?">
    <i class="trash alternate icon"></i>
  </a>
<% end %>
